# Generated by Django 4.2.11 on 2024-09-19 11:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('user', '0022_delete_customuser_delete_message'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=15, unique=True)),
                ('phone2', models.CharField(blank=True, max_length=15, null=True)),
                ('company_email', models.EmailField(max_length=254, null=True)),
                ('personal_email', models.EmailField(max_length=254, null=True)),
                ('address', models.TextField(null=True)),
                ('work_location', models.CharField(max_length=100, null=True)),
                ('picture', models.ImageField(null=True, upload_to='profile_pics/')),
                ('role', models.CharField(max_length=20)),
                ('user_id', models.CharField(max_length=10, unique=True)),
                ('is_active', models.BooleanField(default=True)),
                ('is_staff', models.BooleanField(default=False)),
                ('manager_assigned', models.CharField(max_length=100, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='JobPosting',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Client', models.CharField(blank=True, max_length=100, null=True)),
                ('JobID', models.CharField(max_length=100, null=True)),
                ('Location', models.CharField(max_length=255, null=True)),
                ('SPOC', models.CharField(max_length=255, null=True)),
                ('SPOC2', models.CharField(blank=True, max_length=255, null=True)),
                ('NoOfPosting', models.IntegerField(null=True)),
                ('StartDate', models.DateField(null=True)),
                ('CloseDate', models.DateField(null=True)),
                ('BudgetMin', models.DecimalField(decimal_places=2, max_digits=10, null=True)),
                ('BudgetMax', models.DecimalField(decimal_places=2, max_digits=10, null=True)),
                ('Qualification', models.CharField(max_length=100, null=True)),
                ('Header', models.CharField(max_length=255, null=True)),
                ('JobDescription', models.TextField(null=True)),
                ('Experience_in_Yrs', models.CharField(max_length=50, null=True)),
                ('SpecialInstructions', models.TextField(blank=True, null=True)),
                ('JD', models.FileField(null=True, upload_to='JD/')),
                ('slice_JD', models.CharField(max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subject', models.CharField(max_length=255)),
                ('body', models.TextField()),
                ('is_read', models.BooleanField(default=False)),
                ('sent_at', models.DateTimeField(auto_now_add=True)),
                ('recipient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='received_messages', to=settings.AUTH_USER_MODEL)),
                ('sender', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sent_messages', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'ordering': ['-sent_at'],
            },
        ),
    ]
